[Qa-jenkins-scm] [jenkins.debian.net] 01/02: reproducible: remove distracting fuser call

Holger Levsen holger at moszumanska.debian.org
Thu Sep 10 09:01:59 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit abf5265550b3aa79a498348a398ae8324a1731ad
Author: Holger Levsen <holger at layer-acht.org>
Date:   Thu Sep 10 10:54:45 2015 +0200

    reproducible: remove distracting fuser call
---
 bin/schroot-create.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index 1027d67..c3ffe46 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -183,7 +183,7 @@ bootstrap() {
 
 cleanup() {
 	if [ -d $CHROOT_TARGET ]; then
-		sudo rm -rf --one-file-system $CHROOT_TARGET || ( echo "Warning: $CHROOT_TARGET could not be fully removed on forced cleanup." ; fuser -mv $CHROOT_TARGET ; ls $CHROOT_TARGET -la )
+		sudo rm -rf --one-file-system $CHROOT_TARGET || ( echo "Warning: $CHROOT_TARGET could not be fully removed on forced cleanup." ; ls $CHROOT_TARGET -la )
 	fi
 	rm -f $TMPLOG
 }
@@ -204,8 +204,7 @@ echo "$(date -u ) - renaming $CHROOT_TARGET to $SCHROOT_BASE/$TARGET"
 sudo mv $CHROOT_TARGET $SCHROOT_BASE/"$TARGET"
 
 if [ -d $SCHROOT_BASE/"$TARGET"-"$rand" ] ; then
-	sudo rm -rf --one-file-system $SCHROOT_BASE/"$TARGET"-"$rand" || ( echo "Warning: $SCHROOT_BASE/${TARGET}-$rand could not be fully removed." ; fuser -mv $SCHROOT_BASE/${TARGET}-$rand ; ls $SCHROOT_BASE/${TARGET}-$rand -la )
-	# idea: ignore if 0 files are in there…
+	sudo rm -rf --one-file-system $SCHROOT_BASE/"$TARGET"-"$rand" || ( echo "Warning: $SCHROOT_BASE/${TARGET}-$rand could not be fully removed." ; ls $SCHROOT_BASE/${TARGET}-$rand -la )
 fi
 
 # write the schroot config

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list